LINUX.ORG.RU

Там точно не равно, а какой-то диапазон.

конкретная версия gcc может работать с разными версиями glibc

Например, вот PPA для Ubuntu 12.04, там есть gcc 11.1: https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/test

Значит gcc 11.1 может работать как минимум от glibc2.15 до glibc2.34

Вот тут тестировали с glibc2.11

https://www.linuxfromscratch.org/lfs/view/development/chapter05/gcc-pass1.html

--with-glibc-version=2.11

https://www.linuxfromscratch.org/lfs/view/development/chapter02/hostreqs.html

Так что gcc 11 может работать и с glibc2.11

Может и меньше возможно…

fsb4000 ★★★★★ ()
Последнее исправление: fsb4000 (всего исправлений: 2)
Ответ на: комментарий от lineika

Если ты будешь собирать на системе на которой glibc 2.12.2, то скорее всего любую.

Если ты будешь собирать на современном рабочем компьютере, то можешь запустить в докере систему с glibc 2.12.2 и там собрать любой gcc. Или установить из пакетного менеджера тот gcc, который шёл в той системе по умолчанию, если не нужно новые возможности С++

Если ты хочешь собирать на современном рабочем компьютере и не использовать докер, то поразбирайся тут: https://stackoverflow.com/questions/2856438/how-can-i-link-to-a-specific-glibc-version

fsb4000 ★★★★★ ()
Ответ на: комментарий от fsb4000

Как мне перенастроить gcc под версию 2.12.2? Что нужно установить и как? беру образ докера gcc:4.8 ставл., и получаю segfault при вызове ldd.

Сейчас на моем железе работает исправно Ubuntu 12.04, у нее по умолчанию 2.15. Как мне переориентировать на 2.12?

lineika ()

GCC можно скомпилировать с какой угодно версией Glibc. Например в репозитории SLES 11 доступен GCC 9. А версия GCC 10 доступна, если немного поработать напильником.

В этом дистре - Glibc 2.11.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

GCC можно скомпилировать с какой угодно версией Glibc

Не совсем, есть диапазоны совместимости. GCC 2.95, например, с современной glibc не соберется.

annulen ★★★★★ ()
Последнее исправление: annulen (всего исправлений: 1)